FORMAT(1)

NAME
format - format a PC floppy diskette

SYNOPSIS
format [-v] device [media-size [drive-size]]

DESCRIPTION
Format allows a user with read-write permission to device to format a floppy. Either one of the special floppy devices must be used, see fd(4), or an automatic device may be used with the size of the floppy specified on the command line. Two sizes must be given when formatting a low density diskette in a high density drive. For example:

    format /dev/at1
    format /dev/fd1 1200
    format /dev/fd1 360 1200

The first two commands format a 1.2M diskette, the last formats a 360k diskette in a 1.2M drive. A 1.44M drive knows when it's dealing with a low density floppy, so all these commands format a 720k diskette:

    format /dev/fd0 720
    format /dev/fd0 720 1440
    format /dev/ps0

No sizes may be specified when using a special floppy device, a size must be specified when using an automatic device.

OPTIONS

-v  Verify the process by reading each track after formatting it. Formatting is normally blind, the controller has no idea whether it succeeds or not. Use -v on a new box of cheap diskettes, or on a diskette that may have gone bad. Verifying will increase formatting time by 50%.

SEE ALSO
mkfs(1), fd(4).

DIAGNOSTICS
Numbers will be printed on standard output to show that it is busy. The locations of bad sectors are printed on standard error when verifying. The exit code is zero unless there are too many bad spots.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)